diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 72a87c0..cf91b3c 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -8223,35 +8223,41 @@ These exports come from \refto{SetCategory}():
 ++  N. Jacobson: Structure and Representations of Jordan Algebras
 ++  AMS, Providence, 1968
 ++ Description:
-++ Monad is the class of all multiplicative monads, i.e. sets
+++ Monad is the class of all multiplicative monads, that is sets
 ++ with a binary operation.
 
 Monad(): Category == SetCategory with
+
       "*": (%,%) -> %
         ++ a*b is the product of \spad{a} and b in a set with
         ++ a binary operation.
+
       rightPower: (%,PositiveInteger) -> %
         ++ rightPower(a,n) returns the \spad{n}-th right power of \spad{a},
-        ++ i.e. \spad{rightPower(a,n) := rightPower(a,n-1) * a} and
+        ++ that is, \spad{rightPower(a,n) := rightPower(a,n-1) * a} and
         ++ \spad{rightPower(a,1) := a}.
+
       leftPower: (%,PositiveInteger) -> %
         ++ leftPower(a,n) returns the \spad{n}-th left power of \spad{a},
-        ++ i.e. \spad{leftPower(a,n) := a * leftPower(a,n-1)} and
+        ++ that is, \spad{leftPower(a,n) := a * leftPower(a,n-1)} and
         ++ \spad{leftPower(a,1) := a}.
+
       "**": (%,PositiveInteger) -> %
         ++ a**n returns the \spad{n}-th power of \spad{a},
         ++ defined by repeated squaring.
     add
+
       import RepeatedSquaring(%)
+
       x:% ** n:PositiveInteger == expt(x,n)
+
       rightPower(a,n) ==
---        one? n => a
         (n = 1) => a
         res := a
         for i in 1..(n-1) repeat res := res * a
         res
+
       leftPower(a,n) ==
---        one? n => a
         (n = 1) => a
         res := a
         for i in 1..(n-1) repeat res := a * res
diff --git a/buglist b/buglist
index 1e0ae1d..3e82ad4 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7236: 
+bug 7237: 
 todo 330:
 wish 1011:
 meh 5:
@@ -11,6 +11,16 @@ typos 40363:
 dup 50006:
 nonextend 60077:
 
+
+=========================================================================
+bug 7236: 
+
+)show ELTAB
+ Eltable(S: SetCategory,Index: Type)  is a category constructor
+ Abbreviation for Eltable is ELTAB 
+ This constructor is exposed in this frame.
+ Issue )edit NIL to see algebra source code for ELTAB 
+
 =========================================================================
 warnings 20571:
 
@@ -904,7 +914,6 @@ typos 40354:
 --->bookvol10.2.pamphlet-->BlowUpMethodCategory(): Missing Description
 
 
-
 =========================================================================
 typos 40353:
 
@@ -913,7 +922,6 @@ typos 40353:
 --->bookvol10.2.pamphlet-->LeftModule(constructor): Missing left brace
 "The category of left modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports left multiplation by elements of the rng. \\blankline Axioms\\br \\tab{5}\\spad{ (a*b)*x = a*(b*x) }\\br \\tab{5}\\spad{ (a+b)*x = (a*x)+(b*x) }\\br \\tab{5}\\spad{ a*(x+y) = (a*x)+(a*y) }"
 
-
 =========================================================================
 typos 40352:
 
@@ -938,31 +946,6 @@ typos 40352:
 
 
 =========================================================================
-typos 40350:
-
->compiling MONAD.spad to MONAD.nrlib
-
---->-->Monad&((rightPower (% % (PositiveInteger)))): Missing left brace
-"\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}."
-
---->-->Monad&((leftPower (% % (PositiveInteger)))): Missing left brace
-"\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}."
-
---->-->Monad&(constructor): Missing left brace
-"Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation."
-
---->bookvol10.2.pamphlet-->Monad((rightPower (% % (PositiveInteger)))): Missing left brace
-"\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}."
-
---->bookvol10.2.pamphlet-->Monad((leftPower (% % (PositiveInteger)))): Missing left brace
-"\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}."
-
---------constructor---------
---->bookvol10.2.pamphlet-->Monad(constructor): Missing left brace
-"Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation."
-
-
-=========================================================================
 typos 40349:
 
 >compiling NONE.spad to NONE.nrlib
@@ -40515,4 +40498,29 @@ typos 40351:
 --->bookvol10.4.pamphlet-->MappingPackage1((fixedPoint (A (Mapping A A)))): Missing left brace
 "\\spad{fixedPoint \\spad{f}} is the fixed point of function \\spad{f}. \\indented{1}{\\spadignore{i.e.} such that \\spad{fixedPoint \\spad{f} = f(fixedPoint f)}.}"
 
+fixed 20130317.03.tpd.patch
+=========================================================================
+typos 40350:
+
+>compiling MONAD.spad to MONAD.nrlib
+
+--->-->Monad&((rightPower (% % (PositiveInteger)))): Missing left brace
+"\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}."
+
+--->-->Monad&((leftPower (% % (PositiveInteger)))): Missing left brace
+"\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}."
+
+--->-->Monad&(constructor): Missing left brace
+"Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation."
+
+--->bookvol10.2.pamphlet-->Monad((rightPower (% % (PositiveInteger)))): Missing left brace
+"\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}."
+
+--->bookvol10.2.pamphlet-->Monad((leftPower (% % (PositiveInteger)))): Missing left brace
+"\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}."
+
+--------constructor---------
+--->bookvol10.2.pamphlet-->Monad(constructor): Missing left brace
+"Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation."
+
 
diff --git a/changelog b/changelog
index 3698cfe..7486ba2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130317 tpd src/axiom-website/patches.html 20130317.03.tpd.patch
+20130317 tpd buglist MONAD fix 40350, add 7236
+20130317 tpd books/bookvol10.2 MONAD fix 40350, add 7236
 20130317 tpd src/axiom-website/patches.html 20130317.02.tpd.patch
 20130317 tpd buglist MAPPKG1 fix 40351
 20130317 tpd books/bookvol10.4 MAPPKG1 fix 40351
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index dad1b1c..9d75b48 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4089,5 +4089,7 @@ books/bookvol10.4 PTRANFN fixed 40357
 books/bookvol10.2 AGG fixed 40355
 <a href="patches/20130317.02.tpd.patch">20130317.02.tpd.patch</a>
 books/bookvol10.4 MAPPKG1 fix 40351
+<a href="patches/20130317.03.tpd.patch">20130317.03.tpd.patch</a>
+books/bookvol10.4 MONAD fix 40350, add 7236
  </body>
 </html>
